Supplier API
Inventory supplier API for adding custom suppliers and retrieving available ones to be attached to your inventory items.
The Supplier Model
The Supplier object represents an inventory supplier. Vendors like MobileSentrix and InjuredGadgets are already configured by default for every store, but custom ones can be added to satisfy your needs.
{
"id": "ABC123",
"name": "MobileSentrix",
}
Supplier Object Properties
Field | Type | Required | Description |
|---|---|---|---|
|
| Yes | The id of the supplier in our system. You need to use this on your inventory item requests if you want them to be associated to this supplier. |
|
| Yes | Supplier name. |
Supplier Resources
List suppliers
This endpoints lists suppliers visible to your store.
HTTP request
curl -X GET "https://www.myrepairapp.com/api/v2/supplier \
-H "X-Api-Key: YOUR_API_KEY"
Response
[
{
"id": "6b6bf6d8-9b7b-49a8-bd3b-7058505aaa1c",
"name": "MobileSentrix"
},
{
"id": "c4adb990-972e-4169-9235-33057a916307",
"name": "Wholesale Gadget Parts"
},
{
"id": "54d2af11-084f-4a8a-9cb3-3ad20ecb6cd3",
"name": "Injured Gadgets"
},
{
"id": "b277d293-fc45-4c07-8b73-ec4f39df61f7",
"name": "Phone LCD Parts"
},
{
"id": "67d841ce-9df6-456d-b9a3-a1bd86124f86",
"name": "Axiom Armor"
},
{
"id": "3bef292b-de3f-443d-b5fc-12b7ebc381b7",
"name": "Mobilenzo"
}
]
Create a supplier
This endpoint creates a supplier for your store.
HTTP Request
POST https://www.myrepairapp.com/api/v2/supplier
Request Body
{"name": "Ebay"}
Response
If successful, the response will include the created supplier details.